@font-face {
  font-family: "iransans";
  font-style: normal;
  font-weight: normal;
  src: url("../fonts/iransans/IRANSansWeb\(FaNum\).eot");
  src: url("../fonts/iransans/IRANSansWeb\(FaNum\).eot?#iefix")
      format("embedded-opentype"),
    url("../fonts/iransans/IRANSansWeb\(FaNum\).woff2") format("woff2"),
    url("../fonts/iransans/IRANSansWeb\(FaNum\).woff") format("woff"),
    url("../fonts/iransans/IRANSansWeb\(FaNum\).ttf") format("truetype");
}

@font-face {
  font-family: "iranyekan";
  font-style: normal;
  font-weight: normal;
  src: url("../fonts/iranyekan/iranyekanwebregularfanum.eot");
  src: url("../fonts/iranyekan/iranyekanwebregularfanum.eot")
      format("embedded-opentype"),
    url("../fonts/iranyekan/iranyekanwebregularfanum.woff") format("woff"),
    url("../fonts/iranyekan/iranyekanwebregularfanum.ttf") format("truetype");
}

/* reset Css */
* {
  margin: 0;
  padding: 0;
  font-family: iranyekan;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  scroll-snap-type: y mandatory;
}

body {
  font-size: 14px;
}

ul,
li {
  display: inline;
  list-style: none;
}

button {
  border: none;
  outline: none;
  cursor: pointer;
}

a {
  color: #000;
  text-decoration: none;
}

#preloader {
  width: 100%;
  height: 100vh;
  background-color: #fff;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 111;
  display: flex;
  justify-content: center;
  align-items: center;
}
/* 
Preloeader
*/
#preloader div {
  width: 40px;
  height: 40px;
  color: #00d2eb;
  border-radius: 50%;
  border: 3px solid #00d2eb;
  border-right: 5px solid transparent;
  animation: preloader 0.3s linear infinite;
  /* animation: preloader duration timing-function delay iteration-count direction fill-mode; */
}

@keyframes preloader {
  100% {
    -webkit-transform: rotate(360deg);
    /* Chrome 4+, Op 15+, Saf 3.1, iOS Saf 3.2+ */
    -moz-transform: rotate(360deg);
    /* Fx 3.5-15 */
    -ms-transform: rotate(360deg);
    /* IE 9 */
    -o-transform: rotate(360deg);
    /* Op 10.5-12 */
    transform: rotate(360deg);
    /* Fx 16+, IE 10+ */
  }
}

/* 
menu
 */
#header {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 20px 0;
  position: fixed;
  background-color: #fff;
  z-index: 11;
  border-bottom: 1px solid hsla(186, 100%, 46%, 0.7);
}
#logo {
  margin-left: 5%;
}
.toggle-menu {
  color: rgb(71, 71, 71);
  font-size: 32px;
  cursor: pointer;
  display: none;
}

header.fixed {
  width: 100%;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 100;
  transition: all 0.3s linear;
  background-color: #fff;
}
nav ul li a {
  color: #7a7a7a;
}
nav ul li a:hover {
  color: #00d2eb !important;
  transition: all 0.4s;
  position: relative;
}

.hover-menu {
  padding: 45px 0px 10px 0px;
  position: relative;
  transition: 0.4s all ease;
}

.hover-menu::before {
  content: "";
  position: absolute;
  background: #00d2eb;
  left: 0;
  bottom: 0;
  width: 0%;
  height: 3%;
  transition: 0.4s all ease;
  z-index: 1000;
  border-radius: 8px;
}

.hover-menu:hover::before {
  width: 100%;
  left: 0;
}
/* 
ChatBot

*/

.chat_icon {
  position: fixed;
  right: 40px;
  bottom: 30px;
  z-index: 100;
  cursor: pointer;
  color: white;
  background: green;
  padding: 10px 15px;
  border-radius: 50%;
}

.chatbot-box {
  position: fixed;
  right: 0px;
  bottom: 95px;
  background-image: linear-gradient(to bottom, #0dcaf0 -10%, #fbfbfb 80%);
  width: 350px;
  height: 50vh;
  border-radius: 15px;
  padding: 30px;
  font-size: 13px;
  box-shadow: 0px 0 20px 0px #cecece;
  z-index: 100000;
  transition: all 0.3s ease-out;
  transform: scaleY(0);
  transform-origin: bottom;
}
.chatbot-box.active {
  transform: scaleY(1);
}
#chatList {
  height: calc(70vh - 240px);
  overflow-x: auto;
  position: relative;
  -ms-text-overflow-style: none;
  scrollbar-width: 0;
}

#chatList::-webkit-scrollbar {
  display: none;
}

#chatList ul {
  display: grid;
  margin: 0;
  padding: 0;
  list-style: none;
  position: absolute;
  width: 100%;
  bottom: 0;
  left: 0;
  max-height: 100%;
}

#chatList ul li.admin-message {
  background-color: #fff;
  color: #515151;
  padding: 10px 20px;
  border-radius: 0 20px 20px 20px;
  margin: 10px auto 10px 0;
  text-transform: capitalize;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
}

#chatList ul li.client-message {
  background-color: #59ba00;
  color: #fff;
  padding: 10px 20px;
  border-radius: 20px 0px 20px 20px;
  margin: 15px 5px 15px auto;
  text-transform: capitalize;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
}

.message-box-wrap {
  position: relative;
  margin-top: 20px;
}
.message-box {
  display: flex;
  justify-content: flex-end;
}
.message-box input[type="text"],
.message-box select {
  padding-right: 5px;
  height: 40px;
  line-height: 20px;
  width: calc(100% - 50px);
  border-radius: 10px;
  border: 1px solid #bcb3b3;
}

.message-box button {
  width: 100px;
  height: 40px;
  padding: 10px;
  line-height: 20px;
  border-radius: 10px;
  border: 1px solid #bcb3b3;
}

#send {
  height: 40px;
  width: 40px;
  position: absolute;
  right: 0;
  top: 0;
  color: #fff;
  border-radius: 50%;
  background-color: #0da1be;
  border: 0 !important;
  outline: 0 !important;
  pointer-events: none;
}

.admin-client-message-wrap,
#submit_info_form {
  opacity: 0;
  width: 0;
  height: 0;
  overflow: hidden;
  margin: 0;
  padding: 0;
}

/* Modal Start */
#login {
  font-size: 0.9rem;
}
#login:hover {
  color: #000 !important;
  transition: all 0.8s;
}
.modalbox {
  width: 100%;
  height: 100%;
  overflow: auto;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 1111;
  background-color: rgba(0, 0, 0, 0.7);
  display: none;
}
.modalcontent {
  min-height: 450px;
  width: 75%;
  padding: 20px 25px;
  border-radius: 4px;
  background-color: rgb(255, 255, 255);
  position: absolute;
  left: 15%;
  top: 5%;
}
.close {
  font-size: 38px;
  position: absolute;
  top: -25px;
  right: -20px;
  cursor: pointer;
}
/* tab Start */

.tab_navigation {
  padding: 0;
  margin: 0;
  list-style: none;
}
.tab_navigation li {
  display: inline-block;
  padding: 5px 15px;
  background-color: #0a6fc4;
  min-width: 100px;
  text-align: center;
  color: #fff;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.tab_navigation li.active,
.tab_navigation li:hover {
  background-color: #034091;
}

.tab_container {
  min-height: 400px;
  padding: 10px;
  color: #575757;
  display: none;
}

/*  Floating label input Start */

form > .row > .input_group {
  margin: 20px 0;
  position: relative;
}

.input_group .form_control {
  padding: 10px 5px 0px 20px;
  width: 80%;
  border: none;
  border-bottom: 1px solid rgba(0, 0, 0, 0.384);
  transition: 0.3s;
  outline: none;
}

.form_control:focus {
  border-color: #1d84fa;
}

.input_group > label {
  position: absolute;
  top: 0px;
  font-size: 15px;
  right: 15px;
}

.input_group > input.form_control.valid:not(:focus) ~ label {
  color: initial;
  transition: 0.3s;
}

.form_control:focus ~ label,
.form_control.valid ~ label {
  transition: 0.3s;
  color: #1d84fa;
  top: -15px;
}
.field-icon {
  position: absolute;
  right: 350px;
  top: 0;
  z-index: 11112;
  cursor: pointer;
}
/*  Floating label input End */

/* Tab End */

/* Modal End */
.number__phone__email {
  text-align: right;
  font-size: 0.9rem;
}

.social__media > a {
  font-size: 0.9rem;
}

#logo {
  text-align: right;
}

#backToTopBtn {
  position: fixed;
  bottom: 20px;
  left: 20px;
  background-color: #00d2eb;
  color: #fff;
  border-radius: 50%;
  padding: 15px 20px;
  font-size: 1.2rem;
  transition: all 1s;
  opacity: 0;
  z-index: 111;
}
#backToTopBtn.show {
  opacity: 1;
  transition: all 1s;
}

/* Slider */

#slider {
  width: 100%;
  height: 400px;
  display: flex;
  justify-content: center;
  background-color: #ccc;
  padding: 20px 0;
  margin: 82px 0 80px 0;
}

/* Slider */

/* ّFooter */

footer#footer__main {
  border-top: 4px solid #00d2eb;
  min-height: 830px;
  background-position: 0;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  z-index: 1;
}
#footer__main::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(../img/footer-bg.jpg);
  filter: brightness(0.5);
  z-index: -1;
}
#footer__bottom {
  background: #00d2eb;
  bottom: 0;
}
#form__comments .comment:focus {
  outline: none;
}
#form__comments .comment::placeholder{
  color: #fff;
}
#form__comments .comment {
  width: 100%;
  outline: none;
  border: 1px solid #989898;
  border-radius:2px;
  padding: 10px 7px;
}
.send__comment{
  background-color: #00d2eb;
  border-radius: none !important;
}
textarea{
  resize: none;
}
#information__tell  div div.icon__information__tell {
  border: 1px solid #fff;
  padding: 5px 0;
  background-color: #0003;
  border-radius: 100%;
  text-align: center;
}
address{
  line-height: 2;
}
#Hours_of_work{
  border-radius: 85px 85px 0 0;
}
/* Footer */

@media (max-width: 833px) {
  #header {
    flex-direction: row-reverse;
    justify-content: space-between;
    padding: 10px 20px;
    position: fixed;
    background: #fff;
  }
  .toggle-menu {
    display: block;
  }
  #logo a {
    font-size: 14px;
  }
  nav {
    display: none;
  }
  nav ul li {
    display: block;
    margin: 35px 0;
  }
  .hover-menu {
    padding: 10px 0;
  }
  .active-menu {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #2c2c2c;
    position: absolute;
    top: 95%;
    right: 0px;
    transition: all 0.6s;
  }
}
